Page MenuHomePhabricator

Calculation of total translators should take into account duplicates
Closed, ResolvedPublic1 Story Points

Description

On ContentTranslationStats page we can see the number of translators to Catalan from English and Spanish. The totals seem to just add those numbers, which is wrong since some users may have translated from both languages. We should fix the way totals are calculated.

Timeboxed to 21 April 2015 EOD

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 10:51 AM
Amire80 triaged this task as Normal priority.Mar 5 2015, 8:37 AM
Amire80 raised the priority of this task from Normal to High.Apr 1 2015, 8:10 AM
Pginer-WMF edited a custom field.Apr 1 2015, 8:36 AM
Arrbee assigned this task to Amire80.Apr 10 2015, 7:29 AM
Arrbee added a subscriber: Arrbee.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-85 board.Apr 13 2015, 7:05 AM

Change 205104 had a related patch set uploaded (by Amire80):
Don't show total translators count

https://gerrit.wikimedia.org/r/205104

Change 205105 had a related patch set uploaded (by Amire80):
Show correct number of total translators

https://gerrit.wikimedia.org/r/205105

Amire80 moved this task from In Progress to In Review on the LE-Sprint-85 board.Apr 19 2015, 5:58 PM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:06 AM
Arrbee updated the task description. (Show Details)Apr 21 2015, 8:08 AM
Arrbee edited projects, added LE-Sprint-86; removed LE-Sprint-85.
Arrbee moved this task from Backlog to In Review on the LE-Sprint-86 board.

Change 205104 merged by jenkins-bot:
Don't show the incorrect total translators count

https://gerrit.wikimedia.org/r/205104

Change 205105 merged by jenkins-bot:
Show correct number of total translators

https://gerrit.wikimedia.org/r/205105

Nikerabbit moved this task from In Review to Done on the LE-Sprint-86 board.Apr 21 2015, 4:13 PM
Nikerabbit closed this task as Resolved.Apr 22 2015, 6:55 AM
Nikerabbit reopened this task as Open.
Nikerabbit closed this task as Resolved.
Nikerabbit added a subscriber: Nikerabbit.